eGroupWare 'class.kses.inc.php' HTML安全绕过漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1187263 漏洞类型 跨站脚本
发布时间 2008-03-25 更新时间 2009-02-20
CVE编号 CVE-2008-1502 CNNVD-ID CNNVD-200803-414
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200803-414
|漏洞详情
当在eGroupWare1.4.003之前的版本,Moodle1.8.5之前的版本和其他产品中使用时,KSES中的phpgwapi/inc/class.kses.inc.php中的_bad_protocol_once函数,允许远程攻击者借助一个包含特制的URL协议的字符串,绕过HTML过滤器和执行跨站脚本攻击。
|参考资料

来源:BID
名称:28424
链接:http://www.securityfocus.com/bid/28424
来源:VUPEN
名称:ADV-2008-0989;PatchInformation
链接:http://www.frsirt.com/english/advisories/2008/0989/references
来源:DEBIAN
名称:DSA-1691
链接:http://www.debian.org/security/2008/dsa-1691
来源:CONFIRM
名称:http://docs.moodle.org/en/Release_Notes#Moodle_1.8.5;PatchInformation
链接:http://docs.moodle.org/en/Release_Notes#Moodle_1.8.5
来源:FEDORA
名称:FEDORA-2008-6226
链接:https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00331.html
来源:XF
名称:egroupware-badprotocolonce-security-bypass(41435)
链接:http://xforce.iss.net/xforce/xfdb/41435
来源:UBUNTU
名称:USN-658-1
链接:http://www.ubuntulinux.org/support/documentation/usn/usn-658-1
来源:MLIST
名称:[oss-security]20080708Re:CVErequest:moodlexssin<1.8.5
链接:http://www.openwall.com/lists/oss-security/2008/07/08/14
来源:GENTOO
名称:GLSA-200805-04
链接:http://www.gentoo.org/security/en/glsa/glsa-200805-04.xml
来源:MISC
名称:http://www.egroupware.org/viewvc/branches/1.4/phpgwapi/inc/class.kses.inc.php?r1=23625&r2=251